GET /agents/templates
List the built-in starter agent templates.
Behind auth but not account-scoped — the data is static product content shared by the dashboard, landing site, and CLI.
curl "https://api.ellipsis.dev/v1/agents/templates" \
-H "Authorization: Bearer $ELLIPSIS_API_KEY"{
"templates": [
{
"description": "string",
"name": "string",
"slug": "string",
"summary": "string",
"tags": [
"string"
],
"use_case": "string",
"yaml": "string"
}
],
"walkthrough_yaml": "string"
}import os
from ellipsis import Ellipsis
client = Ellipsis(api_key=os.environ["ELLIPSIS_API_TOKEN"])
result = client.agents.templates.list()
print(result){
"templates": [
{
"description": "string",
"name": "string",
"slug": "string",
"summary": "string",
"tags": [
"string"
],
"use_case": "string",
"yaml": "string"
}
],
"walkthrough_yaml": "string"
}import { Ellipsis } from '@ellipsis-dev/sdk';
const client = new Ellipsis({
apiKey: process.env.ELLIPSIS_API_TOKEN!,
});
const result = await client.agents.templates.list();
console.log(result);{
"templates": [
{
"description": "string",
"name": "string",
"slug": "string",
"summary": "string",
"tags": [
"string"
],
"use_case": "string",
"yaml": "string"
}
],
"walkthrough_yaml": "string"
}No request body.
{
"properties": {
"templates": {
"items": {
"properties": {
"description": {
"type": "string"
},
"name": {
"type": "string"
},
"slug": {
"type": "string"
},
"summary": {
"type": "string"
},
"tags": {
"items": {
"type": "string"
},
"type": "array"
},
"use_case": {
"type": "string"
},
"yaml": {
"type": "string"
}
},
"required": [
"slug",
"name",
"description",
"tags",
"summary",
"use_case",
"yaml"
],
"type": "object"
},
"type": "array"
},
"walkthrough_yaml": {
"type": "string"
}
},
"required": [
"templates",
"walkthrough_yaml"
],
"type": "object"
}